Bug 29363 - TestBuilder.t failing if biblionumber=123 does not exist
Summary: TestBuilder.t failing if biblionumber=123 does not exist
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: unspecified
Hardware: All All
: P5 - low minor (vote)
Assignee: Jonathan Druart
QA Contact: Testopia
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-10-29 07:59 UTC by Jonathan Druart
Modified: 2021-11-15 04:44 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Text to go in the release notes:
Version(s) released in:
21.11.00,21.05.05,20.11.12


Attachments
Bug 29363: Fix TestBuilder.t if bib 123 does not exist (1.00 KB, patch)
2021-10-29 08:00 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2021-10-29 07:59:04 UTC
t/db_dependent/TestBuilder.t ................ 7/15 Value not allowed for auto_incr biblionumber in Biblio at /kohadevbox/koha/t/lib/TestBuilder.pm line 387.

    #   Failed test 'Created a record'
    #   at t/db_dependent/TestBuilder.t line 287.
    #          got: ''
    #     expected: '1'

    #   Failed test 'Hash value untouched'
    #   at t/db_dependent/TestBuilder.t line 290.
    #          got: undef
    #     expected: '123'
    # Looks like you failed 2 tests of 12.
t/db_dependent/TestBuilder.t ................ 8/15
Comment 1 Jonathan Druart 2021-10-29 08:00:20 UTC
Created attachment 127079 [details] [review]
Bug 29363: Fix TestBuilder.t if bib 123 does not exist
Comment 2 Jonathan Druart 2021-10-29 13:48:45 UTC
Pushed to master for 21.11, thanks to everybody involved!
Comment 3 Kyle M Hall 2021-11-05 12:00:51 UTC
Pushed to 21.05.x for 21.05.05
Comment 4 Fridolin Somers 2021-11-11 00:10:37 UTC
Pushed to 20.11.x for 20.11.12
Comment 5 Victor Grousset/tuxayo 2021-11-15 04:44:38 UTC
Not backported to oldoldstable (20.05.x). Feel free to ask if it's needed.